<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('reappraises', function (Blueprint $table) {
            $table->id();
            $table->integer('operate_user_id')->unsigned()->comment("复评用户id");
            $table->integer('user_id')->unsigned()->comment("被复评用户id");
            $table->integer('order_id')->unsigned()->comment("订单id");
            $table->integer("role_id")->unsigned()->comment("角色id");
            $table->integer('role_order_id')->unsigned()->comment("service_role_orders关联id")->index();
            $table->enum('work_attitude', ['积极','不积极'])->nullable()->comment("工作态度是否积极");
            $table->enum('service_attitude', ['细心','不细心'])->nullable()->comment("服务态度是否细心");
            $table->enum("is_recommend", ['推荐','不推荐','建议学习升级后'])->nullable()->comment("是否推荐给下一位用户");
            $table->text('recommend_reason')->nullable()->comment("推荐用户理由");
//            $table->enum('study', ['推荐', '不推荐'])->nullable()->comment("建议学习");
//            $table->text('study_reason')->nullable()->comment("学习推荐理由");
            $table->integer('score')->nullable()->comment('分数');
            $table->text('suggest')->nullable()->comment("建议");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('reappraises');
    }
};
